Index: general/genlib/libfam/libfam-config.xml
===================================================================
--- general/genlib/libfam/libfam-config.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ general/genlib/libfam/libfam-config.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -43,4 +43,14 @@
 <command>EOF</command></userinput></screen>
 
+<!--
+<para>If you do not have any inetd daemon installed and have no
+wish to install one, you can also start fam during system startup
+by installing <filename>/etc/rc.d/init.d/fam</filename>
+init script included in the
+<xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-fam</command></userinput></screen>
+-->
+
 </sect3>
 
Index: general/graphlib/libmng/libmng-exp.xml
===================================================================
--- general/graphlib/libmng/libmng-exp.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ general/graphlib/libmng/libmng-exp.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -2,6 +2,7 @@
 <title>Command explanations</title>
 
-<para><command>./autogen.sh</command>: First we have to create proper
-configuration scripts for the Linux platform.</para>
+<para><command>./autogen.sh</command>: This package does not ship
+with the configure script. The autotool files need to be generated
+before configuring the package.</para>
 
 <para><screen><command>./configure --prefix=/usr</command></screen>
Index: general/sysutils/fcron/fcron-config.xml
===================================================================
--- general/sysutils/fcron/fcron-config.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ general/sysutils/fcron/fcron-config.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -20,58 +20,8 @@
 situation.</para>
 
-<para>Create the boot script with the following:</para>
-
-<screen><userinput><command>cat &gt; /etc/rc.d/init.d/fcron &lt;&lt; "EOF"
-#!/bin/sh
-# Begin $rc_base/init.d/fcron
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-
-. /etc/sysconfig/rc
-. $rc_functions
-
-case "$1" in
-        start)
-                echo "Starting fcron..."
-                loadproc fcron
-                ;;
-
-        stop)
-                echo "Stopping fcron..."
-                killproc fcron
-                ;;
-
-        restart)
-                $0 stop
-                sleep 1
-                $0 start
-                ;;
-
-        status)
-                statusproc fcron
-                ;;
-
-        *)
-                echo "Usage: $0 {start|stop|restart|status}"
-                exit 1
-                ;;
-esac
-
-# End $rc_base/init.d/fcron
-EOF
-chmod 755 /etc/rc.d/init.d/fcron</command></userinput></screen>
-
-<para>Create the symbolic links to this file in the relevant
-<filename class="directory">rc.d</filename> directory
-with the following commands:</para>
-
-<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
-ln -sf ../init.d/fcron ../rc0.d/K08fcron &amp;&amp;
-ln -sf ../init.d/fcron ../rc2.d/S40fcron &amp;&amp;
-ln -sf ../init.d/fcron ../rc3.d/S40fcron &amp;&amp;
-ln -sf ../init.d/fcron ../rc4.d/S40fcron &amp;&amp;
-ln -sf ../init.d/fcron ../rc5.d/S40fcron &amp;&amp;
-ln -sf ../init.d/fcron ../rc6.d/K08fcron</command></userinput></screen>
+<para>Install <filename>/etc/rc.d/init.d/fcron</filename>
+init script from the <xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-fcron</command></userinput></screen>
 
 </sect3>
Index: general/sysutils/gpm/gpm-config.xml
===================================================================
--- general/sysutils/gpm/gpm-config.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ general/sysutils/gpm/gpm-config.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -3,72 +3,10 @@
 
 <sect3><title>gpm init.d script</title>
-<para>The <command>gpm</command> init.d script can be created using 
-the following commands:  <!-- (This assumes that you have followed the
-<acronym>LFS</acronym> default of having your $rc_base set to <filename
-class="directory">/etc/rc.d</filename>) --></para>
-<screen><userinput><command>cat &gt; /etc/rc.d/init.d/gpm &lt;&lt; "EOF"</command>
-#!/bin/sh
-# Begin $rc_base/init.d/gpm
+<para>Install the <filename>/etc/rc.d/init.d/gpm</filename>
+init script included in the
+<xref linkend="intro-important-bootscripts"/> package.</para>
 
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-# GPM specific parts by Mark Hymers - markh@linuxfromscratch.org
+<screen><userinput><command>make install-gpm</command></userinput></screen>
 
-. /etc/sysconfig/rc
-. $rc_functions
-
-if [ -f /etc/sysconfig/mouse ]
-	then
-        source /etc/sysconfig/mouse
-fi
-
-if [ -z "$MDEVICE" ] || [ -z "$PROTOCOL" ]
-	then
-	echo "Please create an /etc/sysconfig/mouse file containing"
-	echo "MDEVICE and PROTOCOL values"
-	exit 1;
-fi
-
-case "$1" in
-        start)
-                echo "Starting gpm..."
-                loadproc gpm -m $MDEVICE -t $PROTOCOL
-                ;;
-
-        stop)
-                echo "Stopping gpm..."
-                killproc gpm
-                ;;
-
-        restart)
-                $0 stop
-                sleep 1
-                $0 start
-                ;;
-
-        status)
-                statusproc gpm
-                ;;
-
-        *)
-                echo "Usage: $0 {start|stop|restart|status}"
-                exit 1
-                ;;
-esac
-
-# End $rc_base/init.d/gpm
-<command>EOF
-chmod 755 /etc/rc.d/init.d/gpm</command></userinput></screen>
-
-<para>You then need to create symbolic links to this file in the
-relevant <filename>rc.d</filename> directories.  For example:</para>
-<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
-ln -sf ../init.d/gpm ../rc0.d/K10gpm &amp;&amp;
-ln -sf ../init.d/gpm ../rc1.d/K10gpm &amp;&amp;
-ln -sf ../init.d/gpm ../rc2.d/K10gpm &amp;&amp;
-ln -sf ../init.d/gpm ../rc3.d/S70gpm &amp;&amp;
-ln -sf ../init.d/gpm ../rc4.d/S70gpm &amp;&amp;
-ln -sf ../init.d/gpm ../rc5.d/S70gpm &amp;&amp;
-ln -sf ../init.d/gpm ../rc6.d/K10gpm</command></userinput></screen>
 </sect3>
 
Index: index.xml
===================================================================
--- index.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ index.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040321">
-<!ENTITY releasedate "March 21st, 2004">
+<!ENTITY version "CVS-20040322">
+<!ENTITY releasedate "March 22nd, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/important/bootscripts.xml
===================================================================
--- introduction/important/bootscripts.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ introduction/important/bootscripts.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -10,5 +10,8 @@
 <acronym>BLFS</acronym> system.  When a script is requested from
 lfs-bootscritps, simply change to the directory and execute the given
-'make install-&lt;init-script&gt;' command.</para>
+<command>make install-&lt;init-script&gt;</command> command. This command installs the
+init script to its proper location (along with any auxillary configuration
+scripts) and also creates the appropriate symlinks to start and stop the
+service at the appropriate run-level.</para>
 
 <para>If you are installing <acronym>BLFS</acronym>
@@ -19,3 +22,7 @@
 information on the lfs-bootscripts package.</para>
 
+<note><para>It is advisable to peruse each bootscript before installation to
+ascertain that it satisfies your need. Also verify that the start and stop
+symlinks it creates match your preferences.</para></note>
+
 </sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ introduction/welcome/changelog.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -11,4 +11,8 @@
 
 <itemizedlist>
+
+<listitem><para>March 22nd, 2004 [tushar]: Added fam, fcron, gpm, netfs,
+and random lfs-bootscripts. Added note that users should refer to the
+check the bootscript before installing.</para></listitem>
 
 <listitem><para>March 21st, 2004 [tushar]: Updated network related
Index: postlfs/config/netfs.xml
===================================================================
--- postlfs/config/netfs.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ postlfs/config/netfs.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -3,125 +3,16 @@
 <title>Configuring for Network Filesystems</title>
 
-<para>While <acronym>LFS</acronym> is capable of mounting NFS volumes from
-the get go, the lfs-bootscripts are not quite ready for this configuration.
-Network filesystems should be unmounted before the network goes down.  The
-<filename>netfs</filename> script below will prepare your LFS for mounting
-network filesystems at boot time, and unmounting them when the network 
-is stopped.</para>
+<para>While <acronym>LFS</acronym> is capable of mounting network file
+systems such as <acronym>NFS</acronym> these are not mounted by
+<filename>mountfs</filename> init script since the tools needed to mount
+these systems may not be available on the root partition and also since
+network file systems need to be mounted after the networking is on and
+need to be unmounted before the network goes down.</para>
 
-<para>  The following commands will create the <filename>netfs</filename>
-script:</para>
-
-<screen><command>cat &gt; /etc/rc.d/init.d/netfs &lt;&lt; "EOF"</command>
-#!/bin/sh
-# Begin $rc_base/init.d/netfs
-                                                                                
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-# netfs script written by Nathan Coulson - conathan@conet.dyndns.org
-# and by DJ Lucas - dj@lucasit.com
-                                                                                
-. /etc/sysconfig/rc
-. $rc_functions
-                                                                                
-case "$1" in
-                                                                                
-        start)
-                # The following line mounts all entries in fstab that
-                # have the _netdev option.  This is required for network
-                # filesystems to be mounted at boot time.
-                echo "Mounting network volumes..."
-                mount -a -O _netdev
-                evaluate_retval
-                ;;
-                                                                                
-        stop)
-                echo -n "Unmounting network volumes..."
-                                                                                
-                # The following line obtains a list from the output of
-                # mount for all netfs types and anything that was
-                # mounted with the _netdev option.
-                NETMOUNTS=`mount | grep '_netdev\|smbfs\|ncpfs|\coda\|nfs' \
-                        | cut -d " " -f 3 | sed 's/$/ /g'`
-                                                                                
-                # Check to see if anything was listed from above
-                # (see if anything is actually needs to be unmounted)
-                if [ x"$NETMOUNTS" != x ]
-                then
-                        # There is something mounted
-                        # terminate the echo -n above
-                        echo " "
-                                                                                
-                        # Try and stop processes the nice way
-                        # (probably won't work in most cases)
-                        fuser -m -SIGTERM $NETMOUNTS &gt; /dev/null
-                                                                                
-                        # Check and see if it found anything.  If it
-                        # did, then give 3 seconds for things to exit
-                        # the nice way before killing them off.  
-                        # This one will work all of the time!
-                        if [ $? == 0 ]
-                        then
-                                sleep 3
-                                fuser -km $NETMOUNTS &gt; /dev/null
-                        fi
-                                                                                
-                        # We now need to unmount all network filesystems.
-			# We will do this with two umount commands to allow
-			# for broken behavior of smbmount, and also to make
-			# certain that netmounts without the _netdev option
-			# will still get unmounted.
-                        umount -a -O _netdev
-                        # save the retval
-			if [ $? != 0 ]
-			then
-				NERRVAL=1
-			fi
-
-			# Now catch the rest of the network filesystems
-			# by fstype.  This list can be extended later as
-			# more network filesystems are supported by mount.
-			umount -a -t coda,ncpfs,nfs,smbfs
-			if [ $? == 0]
-			then
-				[ -z $NERRVAL ]
-				evaluate_retval
-			else
-				# make certain that we return an error
-				/bin/false		
-				evaluate_retval
-			fi
-                else
-                        # There is nothing mounted
-                        echo "No network volumes mounted!"
-                        # print a nice '[  OK  ]' message
-                        evaluate_retval
-                fi
-                ;;
-                                                                                
-*)
-                echo "Usage: $0 {start|stop}"
-                exit 1
-                ;;
-esac
-                                                                                
-# End $rc_base/init.d/netfs
-EOF
-<command>chmod 0755 /etc/rc.d/init.d/netfs</command></screen>
-
-<para>While the excessive comments in the script might make people cringe, the
-important part to note is that network filesystems that should be mounted at
-boot time, must have the <emphasis role="strong">_netdev</emphasis>
-option passed to them in <filename>/etc/fstab</filename>.</para>
-
-<para>Now put the necessary symlinks in place.</para>
-
-<screen><command>ln -sf ../init.d/netfs /etc/rc.d/rc0.d/K47netfs &amp;&amp;
-ln -sf ../init.d/netfs /etc/rc.d/rc1.d/K47netfs &amp;&amp;
-ln -sf ../init.d/netfs /etc/rc.d/rc2.d/K47netfs &amp;&amp;
-ln -sf ../init.d/netfs /etc/rc.d/rc3.d/S28netfs &amp;&amp;
-ln -sf ../init.d/netfs /etc/rc.d/rc4.d/S28netfs &amp;&amp;
-ln -sf ../init.d/netfs /etc/rc.d/rc5.d/S28netfs &amp;&amp;
-ln -sf ../init.d/netfs /etc/rc.d/rc6.d/K47netfs</command></screen>
+<para>Install the <filename>/etc/rc.d/init.d/netfs</filename>
+network mount script included with the
+<xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-netfs</command></userinput></screen>
 
 </sect1>
Index: postlfs/config/random.xml
===================================================================
--- postlfs/config/random.xml	(revision cc265e517793da8fa5884e88b38633dd6b7a1c2e)
+++ postlfs/config/random.xml	(revision 40d91bde231a6891d24ca9d1ca1ef48da2fc2b85)
@@ -14,56 +14,11 @@
 at startup may always be the same.  In order to counteract this effect,
 you should carry the entropy pool information across your shut-downs and
-start-ups. The following init.d script and links will perform this function
-for you automatically.</para>
+start-ups.</para>
 
-<screen><userinput><command>cat &gt; /etc/rc.d/init.d/random &lt;&lt; "EOF"
-</command>
-#!/bin/sh
-# Begin $rc_base/init.d/random
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-# Random script elements by Larry Lawrence
-
-. /etc/sysconfig/rc
-. $rc_functions
-
-case "$1" in
-        start)
-                echo "Initializing kernel random number generator..."
-                if [ -f /var/tmp/random-seed ]; then
-	                cat /var/tmp/random-seed >/dev/urandom
-		fi
-		dd if=/dev/urandom of=/var/tmp/random-seed count=1 &amp;>/dev/null
-		evaluate_retval
-		;;
-		
-	stop)
-		echo "Saving random seed..."
-		dd if=/dev/urandom of=/var/tmp/random-seed count=1 &amp;>/dev/null
-		evaluate_retval
-		;;
-
-        *)
-                echo "Usage: $0 {start|stop}"
-                exit 1
-                ;;
-esac
-
-# End $rc_base/init.d/random
-<command>EOF
-chmod 755 /etc/rc.d/init.d/random</command></userinput></screen>
-
-<para>Create the symbolic links to this file in the relevant
-<filename class="directory">rc.d</filename> directories 
-with the following commands:</para>
-<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
-ln -sf ../init.d/random ../rc0.d/K45random &amp;&amp;
-ln -sf ../init.d/random ../rc2.d/S25random &amp;&amp;
-ln -sf ../init.d/random ../rc3.d/S25random &amp;&amp;
-ln -sf ../init.d/random ../rc4.d/S25random &amp;&amp;
-ln -sf ../init.d/random ../rc5.d/S25random &amp;&amp;
-ln -sf ../init.d/random ../rc6.d/K45random</command></userinput></screen>
-
+<para>Install the <filename>/etc/rc.d/init.d/random</filename>
+init script included with the
+<xref linkend="intro-important-bootscripts"/> package.</para>
+                                                                                                                
+<screen><userinput><command>make install-random</command></userinput></screen>
 
 </sect1>