Index: general/genlib/libunistring.xml
===================================================================
--- general/genlib/libunistring.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/genlib/libunistring.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -34,5 +34,5 @@
     standard.</para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/exiv2.xml
===================================================================
--- general/graphlib/exiv2.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/graphlib/exiv2.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked;  &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/ijs.xml
===================================================================
--- general/graphlib/ijs.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/graphlib/ijs.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/lcms.xml
===================================================================
--- general/graphlib/lcms.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/graphlib/lcms.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -33,5 +33,5 @@
     programs to provide color management facilities.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libraw.xml
===================================================================
--- general/graphlib/libraw.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/graphlib/libraw.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/newt.xml
===================================================================
--- general/graphlib/newt.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/graphlib/newt.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/qpdf.xml
===================================================================
--- general/graphlib/qpdf.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/graphlib/qpdf.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/prog/guile.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/lua.xml
===================================================================
--- general/prog/lua.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/prog/lua.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/prog/mercurial.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     Mozilla and Vim.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/prog/perl-modules.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -879,5 +879,5 @@
 (http://search.cpan.org/dist/Module::Metadata/) (for the testsuite)
 This is a core perl module but Test::Warnings needs at least version 1.000023
-so a newer version is needed in LFS-7.7. To check, run
+so a newer version is needed in LFS-7.7 and later. To check, run
 <command>grep 'our $VERSION' /usr/lib/perl5/5.*/Module/Metadata.pm</command></literallayout>
                 <itemizedlist>
@@ -1088,5 +1088,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <itemizedlist>
@@ -1131,5 +1131,5 @@
     <xref linkend="perl-standard-install"/>.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs7 7_checked; &gcc5_checked;
 
     <itemizedlist>
@@ -1233,5 +1233,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <itemizedlist>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/prog/php.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/swig.xml
===================================================================
--- general/prog/swig.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ general/prog/swig.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -58,5 +58,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/cdparanoia.xml
===================================================================
--- multimedia/audioutils/cdparanoia.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/audioutils/cdparanoia.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/lame.xml
===================================================================
--- multimedia/audioutils/lame.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/audioutils/lame.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/audioutils/mpg123.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/cdrdao.xml
===================================================================
--- multimedia/cdwriteutils/cdrdao.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/cdwriteutils/cdrdao.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -34,5 +34,5 @@
     CD in disk-at-once mode.</para>
 
-  &lfs77_checked;
+  &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/cdwriteutils/dvd+rw-tools.xml
===================================================================
--- multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/cdwriteutils/dvd+rw-tools.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -40,5 +40,5 @@
         </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa-firmware.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/alsa-firmware.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs77_built; &gcc5_checked;
+    &lfs78_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/alsa-oss.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_built; &gcc5_checked;
+    &lfs78_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/alsa-tools.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_built; &gcc5_built;
+    &lfs78_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/audiofile.xml
===================================================================
--- multimedia/libdriv/audiofile.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/audiofile.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faac.xml
===================================================================
--- multimedia/libdriv/faac.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/faac.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     understand other sound compression schemes in video files.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faad2.xml
===================================================================
--- multimedia/libdriv/faad2.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/faad2.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -34,5 +34,5 @@
     and known as Advanced Audio Coding (AAC).</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/fdk-aac.xml
===================================================================
--- multimedia/libdriv/fdk-aac.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/fdk-aac.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gavl.xml
===================================================================
--- multimedia/libdriv/gavl.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/gavl.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     application.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/gst10-libav.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     &gst-compat;
Index: multimedia/libdriv/liba52.xml
===================================================================
--- multimedia/libdriv/liba52.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/liba52.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     in a variety of applications, including digital television and DVD.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libao.xml
===================================================================
--- multimedia/libdriv/libao.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libao.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -39,5 +39,5 @@
     <application>GNOME</application> sound architecture).</para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libass.xml
===================================================================
--- multimedia/libdriv/libass.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libass.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdiscid.xml
===================================================================
--- multimedia/libdriv/libdiscid.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libdiscid.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdv.xml
===================================================================
--- multimedia/libdriv/libdv.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libdv.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     firewire (IEEE 1394) connection.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked; 
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdcss.xml
===================================================================
--- multimedia/libdriv/libdvdcss.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libdvdcss.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdnav.xml
===================================================================
--- multimedia/libdriv/libdvdnav.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libdvdnav.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -34,5 +34,5 @@
     playback and even interactive DVD games.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libdvdread.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -33,5 +33,5 @@
     provides a simple foundation for reading DVDs.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmad.xml
===================================================================
--- multimedia/libdriv/libmad.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libmad.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -33,5 +33,5 @@
     MPEG audio decoder capable of 24-bit output.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libmpeg2.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     MPEG-1 video streams.</para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked; 
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libmusicbrainz.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -42,5 +42,5 @@
     other related information.</para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz5.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz5.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libmusicbrainz5.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libquicktime.xml
===================================================================
--- multimedia/libdriv/libquicktime.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libquicktime.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libsamplerate.xml
===================================================================
--- multimedia/libdriv/libsamplerate.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/libsamplerate.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -34,5 +34,5 @@
     for audio.</para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/opus.xml
===================================================================
--- multimedia/libdriv/opus.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/opus.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/sbc.xml
===================================================================
--- multimedia/libdriv/sbc.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/sbc.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/soundtouch.xml
===================================================================
--- multimedia/libdriv/soundtouch.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/soundtouch.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/v4l-utils.xml
===================================================================
--- multimedia/libdriv/v4l-utils.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/v4l-utils.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs77_checked;&gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/x264.xml
===================================================================
--- multimedia/libdriv/x264.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/x264.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/xvid.xml
===================================================================
--- multimedia/libdriv/xvid.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ multimedia/libdriv/xvid.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -33,5 +33,5 @@
     compliant video CODEC.</para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ networking/netlibs/neon.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -111,5 +111,4 @@
             --enable-shared  \
             --disable-static &amp;&amp;
-
 make</userinput></screen>
 
Index: postlfs/security/consolekit.xml
===================================================================
--- postlfs/security/consolekit.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ postlfs/security/consolekit.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -114,12 +114,11 @@
     </para>
 
-<screen><userinput>
-sh autogen.sh --prefix=/usr        \
-              --sysconfdir=/etc    \
-              --localstatedir=/var \
-              --enable-udev-acl    \
-              --enable-pam-module  \
-              --enable-polkit      \
-              --with-systemdsystemunitdir=no &amp;&amp;
+<screen><userinput>./configure --prefix=/usr        \
+            --sysconfdir=/etc    \
+            --localstatedir=/var \
+            --enable-udev-acl    \
+            --enable-pam-module  \
+            --enable-polkit      \
+            --with-systemdsystemunitdir=no &amp;&amp;
 make</userinput></screen>
 
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ server/major/apache.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/fltk.xml
===================================================================
--- x/lib/fltk.xml	(revision 90cb5d62d36ac2010563785274ff773d81b99b63)
+++ x/lib/fltk.xml	(revision 41c36b35f06fa7d0ea45bed7195e0fa04ed6d90a)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked; &gcc5_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>