Index: gnome.ent
===================================================================
--- gnome.ent	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ gnome.ent	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -69,5 +69,5 @@
 <!ENTITY gnome-icon-theme-extras-version   "3.12.0">
 <!ENTITY gnome-icon-theme-symbolic-version "3.12.0">
-<!ENTITY gnome-themes-standard-version     "3.22.3">
+<!ENTITY gnome-themes-extra-version        "3.28">
 <!ENTITY yelp-version                      "3.28.1">
 <!ENTITY notification-daemon-version       "3.20.0">
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ gnome/platform/gnome-shell.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -107,5 +107,5 @@
       <xref role="runtime" linkend="gnome-backgrounds"/>,
       <xref role="runtime" linkend="gnome-menus"/>,
-      <xref role="runtime" linkend="gnome-themes-standard"/>, and
+      <xref role="runtime" linkend="gnome-themes-extra"/>, and
       <xref role="runtime" linkend="telepathy-mission-control"/>
     </para>
Index: gnome/platform/platform.xml
===================================================================
--- gnome/platform/platform.xml	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ gnome/platform/platform.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -63,5 +63,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libgweather.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libpeas.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libwacom.xml"/> --><!-- MOVED TO General Libraries -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libwnck.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="evolution-data-server.xml"/>
@@ -92,10 +91,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gdm.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-user-docs.xml"/>
-
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="adwaita-icon-theme.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-extras.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-symbolic.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-themes-standard.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="yelp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="notification-daemon.xml"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ introduction/welcome/changelog.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -47,4 +47,15 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to gtk+-3.24.1. Fixes
+          <ulink url="&blfs-ticket-root;11163">#11163</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Replace gnome-themes-standard with
+          gnome-themes-extra (Upstream renamed it), and updated
+          gnome-themes-extra to 3.28. Thanks goes to Xi to reporting.
+          Fixes
+          <ulink url="&blfs-ticket-root;11187">#11187</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to mariadb-10.3.10. Fixes
           <ulink url="&blfs-ticket-root;11214">#11214</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ packages.ent	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -578,5 +578,5 @@
 <!ENTITY goffice010-version           "0.10.43">
 <!ENTITY gtk2-version                 "2.24.32">
-<!ENTITY gtk3-version                 "3.24.0">
+<!ENTITY gtk3-version                 "3.24.1">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
Index: x/icons/gnome-themes-extra.xml
===================================================================
--- x/icons/gnome-themes-extra.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
+++ x/icons/gnome-themes-extra.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -0,0 +1,174 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gnome-themes-extra-download-http
+   "&gnome-download-http;/gnome-themes-extra/&gnome-minor-28;/gnome-themes-extra-&gnome-themes-extra-version;.tar.xz">
+  <!ENTITY gnome-themes-extra-download-ftp
+   "&gnome-download-ftp;/gnome-themes-extra/&gnome-minor-28;/gnome-themes-extra-&gnome-themes-extra-version;.tar.xz">
+  <!ENTITY gnome-themes-extra-md5sum        "f9f2c6c521948da427f702372e16f826">
+  <!ENTITY gnome-themes-extra-size          "2.8 MB">
+  <!ENTITY gnome-themes-extra-buildsize     "40 MB">
+  <!ENTITY gnome-themes-extra-time          "0.3 SBU">
+]>
+
+<sect1 id="gnome-themes-extra" xreflabel="gnome-themes-extra-&gnome-themes-extra-version;">
+  <?dbhtml filename="gnome-themes-extra.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gnome-themes-extra-&gnome-themes-extra-version;</title>
+
+  <indexterm zone="gnome-themes-extra">
+    <primary sortas="a-gnome-themes-extra">gnome-themes-extra</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GNOME Themes Extra</title>
+
+    <para>
+      The <application>GNOME Themes Extra</application> package, formerly
+      known as <application>GNOME Themes Standard</application>, contains
+      various components of the default <application>GNOME</application> theme.
+    </para>
+
+    &lfs83_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gnome-themes-extra-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gnome-themes-extra-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gnome-themes-extra-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gnome-themes-extra-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gnome-themes-extra-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gnome-themes-extra-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GNOME Themes Extra Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gtk2"/> or
+      <xref linkend="gtk3"/> with
+      <xref linkend="librsvg"/> or both
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/gnome-themes-extra"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GNOME Themes Extra</title>
+
+    <para>
+      Install <application>GNOME Themes Extra</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <option>--disable-gtk2-engine</option>: This switch disables the GTK+-2
+      theming engine.
+    </para>
+
+    <para>
+      <option>--disable-gtk3-engine</option>: This switch disables the GTK+-3
+      theming engine.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+       <seg>
+          None
+        </seg>
+        <seg>
+          libadwaita.so
+        </seg>
+        <seg>
+          /usr/lib/gtk-2.0/2.10.0/engines,
+          /usr/share/icons/HighContrast,
+          /usr/share/themes/Adwaita,
+          /usr/share/themes/Adwaita-dark, and
+          /usr/share/themes/HighContrast
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libadwaita">
+        <term><filename class="libraryfile">libadwaita.so</filename></term>
+        <listitem>
+          <para>
+            is the Adwaita <application>GTK+-2</application> engine theme.
+          </para>
+          <indexterm zone="gnome-themes-extra libadwaita">
+            <primary sortas="c-libadwaita">libadwaita.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: icons/gnome-themes-standard.xml
===================================================================
--- x/icons/gnome-themes-standard.xml	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ 	(revision )
@@ -1,173 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY gnome-themes-standard-download-http
-   "&gnome-download-http;/gnome-themes-standard/&gnome-minor-22;/gnome-themes-standard-&gnome-themes-standard-version;.tar.xz">
-  <!ENTITY gnome-themes-standard-download-ftp
-   "&gnome-download-ftp;/gnome-themes-standard/&gnome-minor-22;/gnome-themes-standard-&gnome-themes-standard-version;.tar.xz">
-  <!ENTITY gnome-themes-standard-md5sum        "b51c362b157b6407303d44f93c31ee11">
-  <!ENTITY gnome-themes-standard-size          "2.8 MB">
-  <!ENTITY gnome-themes-standard-buildsize     "40 MB">
-  <!ENTITY gnome-themes-standard-time          "0.3 SBU">
-]>
-
-<sect1 id="gnome-themes-standard" xreflabel="gnome-themes-standard-&gnome-themes-standard-version;">
-  <?dbhtml filename="gnome-themes-standard.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>gnome-themes-standard-&gnome-themes-standard-version;</title>
-
-  <indexterm zone="gnome-themes-standard">
-    <primary sortas="a-gnome-themes-standard">gnome-themes-standard</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to GNOME Themes Standard</title>
-
-    <para>
-      The <application>GNOME Themes Standard</application> package contains
-      various components of the default <application>GNOME</application> theme.
-    </para>
-
-    &lfs83_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&gnome-themes-standard-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&gnome-themes-standard-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &gnome-themes-standard-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &gnome-themes-standard-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &gnome-themes-standard-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &gnome-themes-standard-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">GNOME Themes Standard Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="gtk2"/> or
-      <xref linkend="gtk3"/> with
-      <xref linkend="librsvg"/> or both
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-themes-standard"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of GNOME Themes Standard</title>
-
-    <para>
-      Install <application>GNOME Themes Standard</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <option>--disable-gtk2-engine</option>: This switch disables the GTK+-2
-      theming engine.
-    </para>
-
-    <para>
-      <option>--disable-gtk3-engine</option>: This switch disables the GTK+-3
-      theming engine.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-       <seg>
-          None
-        </seg>
-        <seg>
-          libadwaita.so
-        </seg>
-        <seg>
-          /usr/lib/gtk-2.0/2.10.0/engines,
-          /usr/share/icons/HighContrast,
-          /usr/share/themes/Adwaita,
-          /usr/share/themes/Adwaita-dark, and
-          /usr/share/themes/HighContrast
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libadwaita">
-        <term><filename class="libraryfile">libadwaita.so</filename></term>
-        <listitem>
-          <para>
-            is the Adwaita <application>GTK+-2</application> engine theme.
-          </para>
-          <indexterm zone="gnome-themes-standard libadwaita">
-            <primary sortas="c-libadwaita">libadwaita.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: x/icons/icons.xml
===================================================================
--- x/icons/icons.xml	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ x/icons/icons.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -32,5 +32,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-extras.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-icon-theme-symbolic.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-themes-standard.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnome-themes-extra.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="hicolor-icon-theme.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="icon-naming-utils.xml"/>
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision ecbf490109aef4e15cde1ce2946ef3ef0b3ca48d)
+++ x/lib/gtk+3.xml	(revision 42ae20691721dab608afdaf01c32b463dd97ce38)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "7ecfbcb662384c8b466dc342bf295f4d">
+  <!ENTITY gtk3-md5sum        "9dfe16f486573815f242fa400763feb7">
   <!ENTITY gtk3-size          "18 MB">
-  <!ENTITY gtk3-buildsize     "571 MB (add 9 MB for tests)">
-  <!ENTITY gtk3-time          "2.3 SBU (using parallelism=4, add 0.4 SBU for tests)">
+  <!ENTITY gtk3-buildsize     "569 MB (add 9 MB for tests)">
+  <!ENTITY gtk3-time          "2.8 SBU (using parallelism=4, add 0.5 SBU for tests)">
 ]>
 
@@ -88,4 +88,5 @@
       keys, also needed for tests),
       <xref linkend="hicolor-icon-theme"/> (needed for tests),
+      <xref linkend="iso-codes"/>,
       <xref linkend="libxkbcommon"/>,
       <xref linkend="wayland"/>, and
@@ -163,6 +164,6 @@
       To test the results you need a graphical session, then issue
       <command>make -k check</command>. 
-      Several tests are known to fail.  At times there will be many failures 
-      depending on the current GTK Theme.
+      Some tests may fail, although "/Default Values/GdkPixbuf" is the only known
+      failure as of version 3.24.1.
     </para>
 
@@ -208,5 +209,5 @@
       or you do not wish to build <application>GNOME</application> with Wayland
       support.  Other changes may be needed to allow the build to complete
-      without the wayland-backend enabled.
+      without the wayland backend enabled.
     </para>
 
@@ -242,8 +243,7 @@
         be used to change the icons that appear on the application's toolbar.
         If you have installed a <application>GTK+ 3</application> theme (e.g.
-        <xref linkend="gnome-themes-standard"/>), an icon theme (such as <xref
-        linkend="oxygen-icons5"/>) and/or a font (such as <ulink
-        url="http://dejavu.sourceforge.net/">DejaVu fonts</ulink>), you can set
-        your prefences in <filename>~/.config/gtk-3.0/settings.ini</filename>
+        <xref linkend="gnome-themes-extra"/>), an icon theme (such as <xref
+        linkend="oxygen-icons5"/>) and/or a font (<xref linkend="dejavu-fonts"/>), 
+        you can set your preferences in <filename>~/.config/gtk-3.0/settings.ini</filename>,
         or the default system wide configuration file (as the <systemitem
         class="username">root</systemitem> user), in