Index: general/sysutils/bluez.xml
===================================================================
--- general/sysutils/bluez.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ general/sysutils/bluez.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -133,5 +133,4 @@
             --sysconfdir=/etc    \
             --localstatedir=/var \
-            --libexecdir=/lib    \
             --enable-bccmd       \
             --enable-dfutool     \
@@ -142,5 +141,6 @@
             --enable-tools       \
             --enable-wiimote     \
-            --disable-test &amp;&amp;
+            --disable-test       \
+            --without-systemdunitdir &amp;&amp;
 make</userinput></screen>
 
Index: general/sysutils/obex-data-server.xml
===================================================================
--- general/sysutils/obex-data-server.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ general/sysutils/obex-data-server.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -85,4 +85,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
+      <xref linkend="bluez"/>,
       <xref linkend="dbus-glib"/>,
       <xref linkend="imagemagick"/> or
Index: kde/add/add-pkgs.xml
===================================================================
--- kde/add/add-pkgs.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/add-pkgs.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -58,5 +58,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 <para>And as the <systemitem class="username">root</systemitem> user:</para>
Index: kde/add/ark.xml
===================================================================
--- kde/add/ark.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/ark.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -32,5 +32,5 @@
     <para>This package provides an archiving utility for KDE.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -95,5 +95,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/gwenview.xml
===================================================================
--- kde/add/gwenview.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/gwenview.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -32,5 +32,5 @@
     <para>Gwenview is a fast and easy-to-use image viewer for KDE.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -105,5 +105,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/kate.xml
===================================================================
--- kde/add/kate.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/kate.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -34,5 +34,5 @@
       programming and scripting languages. KWrite is the lightweight cousin of Kate.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -103,5 +103,5 @@
       -DCMAKE_BUILD_TYPE=Release         \
       -DINSTALL_PYTHON_FILES_IN_PYTHON_PREFIX=TRUE \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/kdepim-runtime.xml
===================================================================
--- kde/add/kdepim-runtime.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/kdepim-runtime.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -33,5 +33,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -97,5 +97,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/kdepim.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     and sticky notes.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -99,5 +99,5 @@
       -DSYSCONF_INSTALL_DIR=/etc         \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/kdeplasma-addons.xml
===================================================================
--- kde/add/kdeplasma-addons.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/kdeplasma-addons.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -33,5 +33,5 @@
     lancelot, calculator, wallpapers etc.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -101,5 +101,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/kmix.xml
===================================================================
--- kde/add/kmix.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/kmix.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -32,5 +32,5 @@
     <para>This packages provides an audio mixer application for KDE.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -95,5 +95,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/libkcddb.xml
===================================================================
--- kde/add/libkcddb.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/libkcddb.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -97,5 +97,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/libkexiv2.xml
===================================================================
--- kde/add/libkexiv2.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/libkexiv2.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -33,5 +33,5 @@
     library for manipulating image metadata.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -91,5 +91,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: kde/add/okular.xml
===================================================================
--- kde/add/okular.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ kde/add/okular.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -33,5 +33,5 @@
     including PDF, PostScript, TIFF, Microsoft CHM, DjVu, DVI, XPS and ePub.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -116,5 +116,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: multimedia/audioutils/amarok.xml
===================================================================
--- multimedia/audioutils/amarok.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/audioutils/amarok.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -120,9 +120,10 @@
 
 <screen><userinput>mkdir build &amp;&amp;
-cd build &amp;&amp;
+cd    build &amp;&amp;
+
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DCMAKE_BUILD_TYPE=Release         \
       -DKDE4_BUILD_TESTS=OFF             \
-      .. &amp;&amp;
+      -Wno-dev .. &amp;&amp;
 make</userinput></screen>
 
Index: multimedia/cdwriteutils/k3b.xml
===================================================================
--- multimedia/cdwriteutils/k3b.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/cdwriteutils/k3b.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -54,5 +54,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -160,5 +160,5 @@
 cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
       -DSYSCONF_INSTALL_DIR=/etc/kde     \
-      ..  &amp;&amp;
+      -Wno-dev ..  &amp;&amp;
 make</userinput></screen>
 
Index: multimedia/libdriv/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa-firmware.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/alsa-firmware.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs74_built;
+    &lfs75_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/alsa-oss.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs74_built;
+    &lfs75_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/alsa-tools.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_built;
+    &lfs75_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/farstream.xml
===================================================================
--- multimedia/libdriv/farstream.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/farstream.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdiscid.xml
===================================================================
--- multimedia/libdriv/libdiscid.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/libdiscid.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdv.xml
===================================================================
--- multimedia/libdriv/libdv.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/libdv.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     firewire (IEEE 1394) connection.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/libmusicbrainz.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -42,5 +42,5 @@
     other related information.</para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmusicbrainz5.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz5.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/libmusicbrainz5.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libquicktime.xml
===================================================================
--- multimedia/libdriv/libquicktime.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/libquicktime.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -120,4 +120,5 @@
 
 <screen><userinput>patch -Np1 -i ../libquicktime-&libquicktime-version;-ffmpeg2-1.patch &amp;&amp;
+
 ./configure --prefix=/usr     \
             --enable-gpl      \
Index: multimedia/libdriv/sbc.xml
===================================================================
--- multimedia/libdriv/sbc.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/sbc.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/taglib.xml
===================================================================
--- multimedia/libdriv/taglib.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/libdriv/taglib.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ multimedia/videoutils/mplayer.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -49,5 +49,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libnice.xml
===================================================================
--- networking/netlibs/libnice.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ networking/netlibs/libnice.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netutils/mod_dnssd.xml
===================================================================
--- networking/netutils/mod_dnssd.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ networking/netutils/mod_dnssd.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -101,4 +101,5 @@
 
 <screen><userinput>sed -i 's/unixd_setup_child/ap_&amp;/' src/mod_dnssd.c &amp;&amp;
+
 ./configure --prefix=/usr \
             --disable-lynx &amp;&amp;
Index: networking/netutils/traceroute.xml
===================================================================
--- networking/netutils/traceroute.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ networking/netutils/traceroute.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -41,5 +41,5 @@
     the standard version.</para></note>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtk-engines.xml
===================================================================
--- x/lib/gtk-engines.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ x/lib/gtk-engines.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs74_checked;
+    &lfs75_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ x/lib/qt5.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -169,5 +169,5 @@
     </note> -->
 
-<screen><userinput>export QTLINK=/usr
+<screen><userinput>export QT5LINK=/usr
 
 ./configure -prefix         /usr               \
@@ -233,5 +233,5 @@
 
 <screen><userinput>export QT5DIR=/opt/qt-&qt5-version; &amp;&amp;
-export QTLINK=/opt/qt5 &amp;&amp;
+export QT5LINK=/opt/qt5 &amp;&amp;
 
 ./configure -prefix     $QT5DIR  \
@@ -288,5 +288,5 @@
     <para>
       For all methods, install images and create the menu entries
-      for installed applications.  Be sure that the <envar>QTLINK</envar>
+      for installed applications.  Be sure that the <envar>QT5LINK</envar>
       variable is defined in root's environment and
       as the <systemitem class="username">root</systemitem> user:
@@ -313,5 +313,5 @@
 Name=Qt5 Assistant 
 Comment=Shows Qt5 documentation and examples
-Exec=$QTLINK/bin/assistant
+Exec=$QT5LINK/bin/assistant
 Icon=assistant-qt5.png
 Terminal=false
@@ -326,5 +326,5 @@
 GenericName=Interface Designer
 Comment=Design GUIs for Qt5 applications
-Exec=$QTLINK/bin/designer
+Exec=$QT5LINK/bin/designer
 Icon=designer-qt5.png
 MimeType=application/x-designer;
@@ -339,5 +339,5 @@
 Name=Qt5 Linguist
 Comment=Add translations to Qt5 applications
-Exec=$QTLINK/bin/linguist
+Exec=$QT5LINK/bin/linguist
 Icon=linguist-qt5.png
 MimeType=text/vnd.trolltech.linguist;application/x-linguist;
@@ -353,5 +353,5 @@
 GenericName=D-Bus Debugger
 Comment=Debug D-Bus applications
-Exec=$QTLINK/bin/qdbusviewer
+Exec=$QT5LINK/bin/qdbusviewer
 Icon=qdbusviewer-qt5.png
 Terminal=false
@@ -549,5 +549,5 @@
           /usr/share/qt5
           OR
-          /opy/qt5 and
+          /opt/qt5 and
           /opt/qt-&qt5-version;
         </seg>
Index: xincludes/setqt.xml
===================================================================
--- xincludes/setqt.xml	(revision 7d7077e333076f4479a8ce1965bbd250f76d6211)
+++ xincludes/setqt.xml	(revision 43bb741c89890e5061d9076bbdea9980c75ad7fc)
@@ -30,5 +30,5 @@
 
     <para>You should now be able to use the appropriate Qt version by running
-    <command>source setqt4</command> or <command>source setqt4</command> as
+    <command>source setqt4</command> or <command>source setqt5</command> as
     desired. (Setting the PATH wont work in a subshell.) Another technique that
     can be used is to create appropriate alias additions to your ~/.bashrc like