Index: content/databases/postgresql.xml
===================================================================
--- content/databases/postgresql.xml	(revision ff769b8c6178dd8b799a5e122a2e6a5d69a22a2c)
+++ content/databases/postgresql.xml	(revision 44e4099a18dbde6c64bd8fb44e018c9a32aad558)
@@ -7,8 +7,8 @@
   <!ENTITY postgresql-download-http "http://gd.tuwien.ac.at/db/postgresql/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2">
   <!ENTITY postgresql-download-ftp  "ftp://ftp.fr.postgresql.org/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2">
-  <!ENTITY postgresql-md5sum        "f0ea2b372a7bdaf2613e92176ebf5e0f">
-  <!ENTITY postgresql-size          "10.2 MB">
-  <!ENTITY postgresql-buildsize     "236 MB">
-  <!ENTITY postgresql-time          "1.21 SBU">
+  <!ENTITY postgresql-md5sum        "075ac81c865b0af865459260bf1ca890">
+  <!ENTITY postgresql-size          "11.0 MB">
+  <!ENTITY postgresql-buildsize     "259 MB">
+  <!ENTITY postgresql-time          "1.34 SBU">
 ]>
 
@@ -20,8 +20,10 @@
 <?dbhtml filename="postgresql.html"?>
 <title>Postgre<acronym>SQL</acronym>-&postgresql-version;</title>
+<indexterm zone="postgresql">
+<primary sortas="a-PostgreSQL">PostgreSQL</primary></indexterm>
 
 <sect2>
-<title>Introduction to <application>Postgre<acronym>SQL</acronym></application>
-</title>
+<title>Introduction to 
+<application>Postgre<acronym>SQL</acronym></application></title>
 
 <para><application>Postgre<acronym>SQL</acronym></application> is an advanced 
@@ -43,4 +45,5 @@
 </sect3>
 
+<!-- 
 <sect3><title>Additional downloads</title>
 <itemizedlist spacing='compact'>
@@ -49,4 +52,5 @@
 </listitem></itemizedlist>
 </sect3>
+ -->
 
 <sect3><title><application>Postgre<acronym>SQL</acronym></application> 
@@ -55,14 +59,12 @@
 <para><xref linkend="python"/>, 
 <xref linkend="tcl"/>,
-<xref linkend="tk"/>,
 <xref linkend="openssl"/>,
 <xref linkend="Linux_PAM"/>,
-<xref linkend="sgml-dtd-3"/>, 
+<xref linkend="sgml-dtd"/>, 
 <xref linkend="docbook-dsssl"/>,
 <xref linkend="openjade"/>,
 <xref linkend="perl-modules"/>: SGMLSpm-&SGMLSpm-version;, 
 <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
-<xref linkend="mitkrb"/> or <xref linkend="heimdal"/>,
-<xref linkend="apache-ant"/> and 
+<xref linkend="mitkrb"/> or <xref linkend="heimdal"/>, and 
 <ulink url="http://rendezvous.sourceforge.net/">Rendezvous</ulink></para>
 </sect4>
@@ -72,10 +74,10 @@
 
 <sect2>
-<title>Installation of <application>Postgre<acronym>SQL</acronym></application>
-</title>
+<title>Installation of 
+<application>Postgre<acronym>SQL</acronym></application></title>
 
 <para>In order for <command>configure</command> to properly discover 
 <application>Docbook <acronym>SGML</acronym> 
-<acronym>DTD</acronym></application> (v3.1), you may need to remove 
+<acronym>DTD</acronym></application>, you may need to remove 
 <application>OpenSP</application> catalog definitions from the system 
 <acronym>SGML</acronym> catalogs. Use the following command before building 
@@ -90,10 +92,16 @@
 following commands: </para>
 
-<screen><userinput><command>patch -Np1 -i ../postgresql-&postgresql-version;-dsssl_fix-1.patch &amp;&amp;
+<screen><userinput><command>sed -i \
+    -e "s|dsssl-stylesheets|&amp; \\\\\n        sgml/docbook/&amp;-&docbook-dsssl-version;|" \
+    configure &amp;&amp;
 ./configure --prefix=/usr --enable-thread-safety &amp;&amp;
-make &amp;&amp;
-make install &amp;&amp;
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install &amp;&amp;
 chown -R root:root /usr/share/doc/postgresql/html</command></userinput></screen>
 
+<!-- 
 <para>The standard installation provides only the header files needed
 for client application development. Server-side applications require
@@ -102,4 +110,5 @@
 
 <screen><userinput><command>make install-all-headers</command></userinput></screen>
+ -->
 
 <note><para>If you are upgrading an existing system and are going to
@@ -107,23 +116,26 @@
 back up your data, shut down the old server and follow the
 instructions in <ulink
-url="http://www.postgresql.org/docs/7.4/static/install-upgrading.html">the
+url="http://www.postgresql.org/docs/8.0/static/install-upgrading.html">the
 official <application>Postgre<acronym>SQL</acronym></application>
 documentation</ulink>.</para></note>
 
-<para>Initialize a database cluster with the following commands:</para>
-
-<screen><userinput><command>mkdir -p /srv/pgsql/data &amp;&amp;
-useradd -d /srv/pgsql/data postgres &amp;&amp;
-chown postgres /srv/pgsql/data &amp;&amp;
+<para>Initialize a database cluster with the following commands issued by the 
+root user:</para>
+
+<screen><userinput role='root'><command>install -v -m755 -d /srv/pgsql/data &amp;&amp;
+useradd -c "PostgreSQL Server" -g users -d /srv/pgsql/data postgres &amp;&amp;
+chown -v postgres /srv/pgsql/data &amp;&amp;
 su - postgres -c '/usr/bin/initdb -D /srv/pgsql/data'</command></userinput></screen>
 
-<para>Start the database server with the following command:</para>
-
-<screen><userinput><command>su - postgres -c '/usr/bin/postmaster -D /srv/pgsql/data > \
+<para>As the root user, start the database server with the following 
+command:</para>
+
+<screen><userinput role='root'><command>su - postgres -c '/usr/bin/postmaster -D /srv/pgsql/data > \
     /srv/pgsql/data/logfile 2&gt;&amp;1 &amp;'</command></userinput></screen>
 
-<para>Create a database and verify the installation:</para>
-
-<screen><userinput><command>su - postgres -c '/usr/bin/createdb test' &amp;&amp;
+<para>Still as user root, create a database and verify the 
+installation:</para>
+
+<screen><userinput role='root'><command>su - postgres -c '/usr/bin/createdb test' &amp;&amp;
 echo "create table t1 ( name varchar(20), state_province varchar(20) );" \
     | (su - postgres -c '/usr/bin/psql test ') &amp;&amp;
@@ -141,4 +153,9 @@
 <title>Command explanations</title>
 
+<para><command>sed -i -e "s|dsssl-stylesheets|..."</command>: This command 
+puts an extra line in the <command>configure</command> script so that the
+<acronym>BLFS</acronym> installed version of the <acronym>DSSSL</acronym>
+stylesheets can be discovered.</para>
+
 <para><parameter>--enable-thread-safety</parameter>: This switch makes the 
 client libraries thread-safe by allowing concurrent threads in 
@@ -150,8 +167,8 @@
 files.</para>
 
-<para><command>useradd -d /srv/pgsql/data postgres</command>: Add an 
-unprivileged user to run the database server.</para>
-
-<para><command>createdb test, create table t1 , insert into t1 values..., 
+<para><command>useradd ...</command>: Add an unprivileged user to run the 
+database server.</para>
+
+<para><command>createdb test; create table t1; insert into t1 values...; 
 select * from t1</command>: Create a database, add a table to it, insert some 
 rows into the table and select them to verify that the installation is working
@@ -161,13 +178,22 @@
 
 <sect2>
-<title>Configuring <application>Postgre<acronym>SQL</acronym></application>
-</title>
+<title>Configuring 
+<application>Postgre<acronym>SQL</acronym></application></title>
 
 <sect3>
-<title>Config files</title>
+<title id="postgresql-config">Config files</title>
 
 <para><filename>$PGDATA/pg_ident.con</filename>, 
 <filename>$PGDATA/pg_hba.conf</filename> and 
 <filename>$PGDATA/postgresql.conf</filename></para>
+<indexterm zone="postgresql postgresql-config">
+<primary sortas="e-A.PGDATA-pg_ident.con">$PGDATA/pg_indent.con</primary>
+</indexterm>
+<indexterm zone="postgresql postgresql-config">
+<primary sortas="e-A.PGDATA-pg_hba.conf">$PGDATA/pg_hba_conf</primary>
+</indexterm>
+<indexterm zone="postgresql postgresql-config">
+<primary sortas="e-A.PGDATA-postgresql.conf">$PGDATA/postgresql.conf</primary>
+</indexterm>
 
 <para>The <envar>PGDATA</envar> environment variable is used to distinguish 
@@ -179,10 +205,11 @@
 url="file:///usr/share/doc/postgresql/html/index.html"/>.</para>
 
-<para>Install the <filename>/etc/rc.d/init.d/postgresql</filename>
-init script included in the <xref linkend="intro-important-bootscripts"/> 
-package.</para>
+<para id="postgresql-init">Install the 
+<filename>/etc/rc.d/init.d/postgresql</filename> init script included in the 
+<xref linkend="intro-important-bootscripts"/> package.</para>
+<indexterm zone="postgresql postgresql-init">
+<primary sortas="f-postgresql">postgresql</primary></indexterm>
 
 <screen><userinput><command>make install-postgresql</command></userinput></screen>
-
 </sect3>
 
@@ -192,154 +219,251 @@
 <title>Contents</title>
 
-<para>The <application>Postgre<acronym>SQL</acronym></application> package 
-contains <command>clusterdb</command>,
-<command>createdb</command>,
-<command>createlang</command>,
-<command>createuser</command>,
-<command>dropdb</command>,
-<command>droplang</command>,
-<command>dropuser</command>,
-<command>ecpg</command>,
-<command>initdb</command>,
-<command>initlocation</command>,
-<command>ipcclean</command>,
-<command>pg_config</command>,
-<command>pg_controldata</command>,
-<command>pg_ctl</command>,
-<command>pg_dump</command>,
-<command>pg_dumpall</command>,
-<command>pg_encoding</command>,
-<command>pg_id</command>,
-<command>pg_resetxlog</command>,
-<command>pg_restore</command>,
-<command>pgtclsh</command>,
-<command>pgtksh</command>,
-<command>pltcl_delmod</command>,
-<command>pltcl_listmod</command>,
-<command>pltcl_loadmod</command>,
-<command>postgres</command>,
-<command>postmaster</command>,
-<command>psql</command>,
-<command>vacuumdb</command>,
-<filename class="libraryfile">libecpg</filename>,
-<filename class="libraryfile">libpgtcl</filename>,
-<filename class="libraryfile">libpgtypes</filename>,
-<filename class="libraryfile">libpq</filename> and various charset
-modules.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
+
+<seglistitem>
+<seg>clusterdb, createdb, createlang, createuser, dropdb, droplang, dropuser, 
+ecpg, initdb, ipcclean, pg_config, pg_controldata, pg_ctl, pg_dump, 
+pg_dumpall, pg_resetxlog, pg_restore, pltcl_delmod, pltcl_listmod, 
+pltcl_loadmod, postgres, postmaster, psql, vacuumdb</seg>
+<seg>libecpg.[so,a], libecpg_compat.[so,a], libpgport.a, libpgtypes.[so,a], 
+libpq.[so,a] and various charset modules.</seg>
+<seg>/srv/pgsql, /usr/include/libpq, /usr/include/postgresql, 
+/usr/lib/postgresql, /usr/share/doc/postgresql and /usr/share/postgresql</seg>
+</seglistitem>
+</segmentedlist>
+
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="clusterdb">
+<term><command>clusterdb</command></term>
+<listitem><para>is a utility for reclustering tables in a 
+<application>Postgre<acronym>SQL</acronym></application> database.</para>
+<indexterm zone="postgresql clusterdb">
+<primary sortas="b-clusterdb">clusterdb</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="createdb">
+<term><command>createdb</command></term>
+<listitem><para> creates a new 
+<application>Postgre<acronym>SQL</acronym></application> database.</para>
+<indexterm zone="postgresql createdb">
+<primary sortas="b-createdb">createdb</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="createlang">
+<term><command>createlang</command></term>
+<listitem><para>defines a new 
+<application>Postgre<acronym>SQL</acronym></application> procedural 
+language.</para>
+<indexterm zone="postgresql createlang">
+<primary sortas="b-createlang">createlang</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="createuser">
+<term><command>createuser</command></term>
+<listitem><para>defines a new 
+<application>Postgre<acronym>SQL</acronym></application> user account.</para>
+<indexterm zone="postgresql createuser">
+<primary sortas="b-createuser">createuser</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="dropdb">
+<term><command>dropdb</command></term>
+<listitem><para>removes a 
+<application>Postgre<acronym>SQL</acronym></application> database.</para>
+<indexterm zone="postgresql dropdb">
+<primary sortas="b-dropdb">dropdb</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="droplang">
+<term><command>droplang</command></term>
+<listitem><para>removes a 
+<application>Postgre<acronym>SQL</acronym></application> procedural 
+language.</para>
+<indexterm zone="postgresql droplang">
+<primary sortas="b-droplang">droplang</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="dropuser">
+<term><command>dropuser</command></term>
+<listitem><para>removes a 
+<application>Postgre<acronym>SQL</acronym></application> user account.</para>
+<indexterm zone="postgresql dropuser">
+<primary sortas="b-dropuser">dropuser</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="ecpg">
+<term><command>ecpg</command></term>
+<listitem><para>is the embedded <acronym>SQL</acronym> preprocessor.</para>
+<indexterm zone="postgresql ecpg">
+<primary sortas="b-ecpg">ecpg</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="initdb">
+<term><command>initdb</command></term>
+<listitem><para>creates a new database cluster.</para>
+<indexterm zone="postgresql initdb">
+<primary sortas="b-initdb">initdb</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="ipcclean">
+<term><command>ipcclean</command></term>
+<listitem><para>removes shared memory and semaphores left over by an aborted 
+database server.</para>
+<indexterm zone="postgresql ipcclean">
+<primary sortas="b-ipcclean">ipcclean</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_config">
+<term><command>pg_config</command></term>
+<listitem><para>retrieves 
+<application>Postgre<acronym>SQL</acronym></application> version 
+information.</para>
+<indexterm zone="postgresql pg_config">
+<primary sortas="b-pg_config">pg_config</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_controldata">
+<term><command>pg_controldata</command></term>
+<listitem><para>returns information initialized during 
+<command>initdb</command>, such as the catalog version and server 
+locale.</para>
+<indexterm zone="postgresql pg_controldata">
+<primary sortas="b-pg_controldata">pg_controldata</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_ctl">
+<term><command>pg_ctl</command></term>
+<listitem><para>controls stopping and starting the database server.</para>
+<indexterm zone="postgresql pg_ctl">
+<primary sortas="b-pg_ctl">pg_ctl</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_dump">
+<term><command>pg_dump</command></term>
+<listitem><para>dumps database data and metadata into scripts which are used 
+to recreate the database.</para>
+<indexterm zone="postgresql pg_dump">
+<primary sortas="b-pg_dump">pg_dump</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_dumpall">
+<term><command>pg_dumpall</command></term>
+<listitem><para>recursively calls <command>pg_dump</command> for each 
+database in a cluster.</para>
+<indexterm zone="postgresql pg_dumpall">
+<primary sortas="b-pg_dumpall">pg_dumpall</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_resetxlog">
+<term><command>pg_resetxlog</command></term>
+<listitem><para>clears the write-ahead log and optionally resets some 
+fields in the <filename>pg_control</filename> file.</para>
+<indexterm zone="postgresql pg_resetxlog">
+<primary sortas="b-pg_resetxlog">pg_resetxlog</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pg_restore">
+<term><command>pg_restore</command></term>
+<listitem><para>creates databases from dump files created by 
+<command>pg_dump</command>.</para>
+<indexterm zone="postgresql pg_restore">
+<primary sortas="b-pg_restore">pg_restore</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pltcl_delmod">
+<term><command>pltcl_delmod</command></term>
+<listitem><para>is a support script used to delete a module from a 
+<acronym>PL</acronym>/<application>Tcl</application> table. The command 
+requires the <application><ulink 
+url="http://gborg.postgresql.org/project/pgtcl/">Pgtcl</ulink></application> 
+package to be installed also.</para>
+<indexterm zone="postgresql pltcl_delmod">
+<primary sortas="b-pltcl_delmod">pltcl_delmod</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pltcl_listmod">
+<term><command>pltcl_listmod</command></term>
+<listitem><para>is a support script used to list the modules in a 
+<acronym>PL</acronym>/<application>Tcl</application> table. The command 
+requires the <application><ulink 
+url="http://gborg.postgresql.org/project/pgtcl/">Pgtcl</ulink></application> 
+package to be installed also.</para>
+<indexterm zone="postgresql pltcl_listmod">
+<primary sortas="b-pltcl_listmod">pltcl_listmod</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pltcl_loadmod">
+<term><command>pltcl_loadmod</command></term>
+<listitem><para>is a support script used to load a module into a 
+<acronym>PL</acronym>/<application>Tcl</application> table. The command 
+requires the <application><ulink 
+url="http://gborg.postgresql.org/project/pgtcl/">Pgtcl</ulink></application> 
+package to be installed also.</para>
+<indexterm zone="postgresql pltcl_loadmod">
+<primary sortas="b-pltcl_loadmod">pltcl_loadmod</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="postgres">
+<term><command>postgres</command></term>
+<listitem><para>is a single user database server, generally used for 
+debugging.</para>
+<indexterm zone="postgresql postgres">
+<primary sortas="b-postgres">postgres</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="postmaster">
+<term><command>postmaster</command></term>
+<listitem><para>is a multi-user database daemon.</para>
+<indexterm zone="postgresql postmaster">
+<primary sortas="b-postmaster">postmaster</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="psql">
+<term><command>psql</command></term>
+<listitem><para>is a console based database shell.</para>
+<indexterm zone="postgresql psql">
+<primary sortas="b-psql">psql</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="vacuumdb">
+<term><command>vacuumdb</command></term>
+<listitem><para>compacts databases and generates statistics for the query 
+analyzer.</para>
+<indexterm zone="postgresql vacuumdb">
+<primary sortas="b-vacuumdb">vacuumdb</primary>
+</indexterm></listitem>
+</varlistentry>
+</variablelist>
 
 </sect2>
 
-<sect2><title>Description</title>
-
-<sect3><title>clusterdb</title>
-<para><command>clusterdb</command> is a utility for reclustering tables
-in a <application>Postgre<acronym>SQL</acronym></application>
-database.</para></sect3>
-
-<sect3><title>createdb</title>
-<para><command>createdb</command> creates a new
-<application>Postgre<acronym>SQL</acronym></application> database.</para>
-</sect3>
-
-<sect3><title>createlang</title>
-<para><command>createlang</command> defines a new
-<application>Postgre<acronym>SQL</acronym></application> procedural
-language.</para></sect3>
-
-<sect3><title>createuser</title>
-<para><command>createuser</command> defines a new
-<application>Postgre<acronym>SQL</acronym></application> user account.</para>
-</sect3>
-
-<sect3><title>dropdb</title>
-<para><command>dropdb</command> removes a
-<application>Postgre<acronym>SQL</acronym></application> database.</para>
-</sect3>
-
-<sect3><title>droplang</title>
-<para><command>droplang</command> removes a
-<application>Postgre<acronym>SQL</acronym></application> procedural
-language.</para></sect3>
-
-<sect3><title>dropuser</title>
-<para><command>dropuser</command> removes a
-<application>Postgre<acronym>SQL</acronym></application> user account.</para>
-</sect3>
-
-<sect3><title>ecpg</title>
-<para><command>ecpg</command> is the embedded <acronym>SQL</acronym> 
-preprocessor.</para></sect3>
-
-<sect3><title>initdb</title>
-<para><command>initdb</command> create a new database cluster.</para></sect3>
-
-<sect3><title>initlocation</title>
-<para><command>initlocation</command> creates a secondary database storage
-area.</para></sect3>
-
-<sect3><title>ipcclean</title>
-<para><command>ipcclean</command> removes shared memory and semaphores left 
-over by an aborted database server.</para></sect3>
-
-<sect3><title>pg_config</title>
-<para><command>pg_config</command> retrieves
-<application>Postgre<acronym>SQL</acronym></application> version
-information.</para></sect3>
-
-<sect3><title>pg_controldata</title>
-<para><command>pg_controldata</command> returns information initialized during
-<command>initdb</command>, such as the catalog version and server
-locale.</para></sect3> 
-
-<sect3><title>pg_ctl</title>
-<para><command>pg_ctl</command> controls stopping and starting the database
-server.</para></sect3>
-
-<sect3><title>pg_dump</title>
-<para><command>pg_dump</command> dumps database data and metadata into scripts 
-which are used to recreate the database.</para></sect3>
-
-<sect3><title>pg_dumpall</title>
-<para><command>pg_dumpall</command> recursively calls
-<command>pg_dump</command> for each database in a
-cluster.</para></sect3>
-
-<sect3><title>pg_resetxlog</title>
-<para><command>pg_resetxlog</command> clears the write-ahead log and optionally 
-resets some fields in the <filename>pg_control</filename> file.</para></sect3>
-
-<sect3><title>pg_restore</title>
-<para><command>pg_restore</command> creates databases from dump files created by
-<command>pg_dump</command>.</para></sect3>
-
-<sect3><title>pgtclsh</title>
-<para><command>pgtclsh</command> is a <application>Tcl</application>
-shell interface extended with
-<application>Postgre<acronym>SQL</acronym></application> database access
-functions.</para></sect3>
-
-<sect3><title>pgtksh</title>
-<para><command>pgtksh</command> is a
-<application>Tcl</application>/<application>Tk</application> shell
-interface extended with
-<application>Postgre<acronym>SQL</acronym></application> database access
-functions.</para></sect3>
-
-<sect3><title>postgres</title>
-<para><command>postgres</command> is a single user database server, generally 
-used for debugging.</para></sect3>
-
-<sect3><title>postmaster</title>
-<para><command>postmaster</command> is the multi-user database daemon.</para>
-</sect3>
-
-<sect3><title>psql</title>
-<para><command>psql</command> is a console based database shell.</para></sect3>
-
-<sect3><title>vacuumdb</title>
-<para><command>vacuumdb</command> compacts databases and generates statistics 
-for the query analyzer.</para></sect3>
-
-</sect2>
-
 </sect1>