Index: general.ent
===================================================================
--- general.ent	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ general.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "03">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2021">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 1st, &year;">
+<!ENTITY releasedate  "January 3rd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ general/graphlib/harfbuzz.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -10,6 +10,6 @@
   <!ENTITY harfbuzz-md5sum        "6d8393e6fb84edfb15997d1c5ba35b1b">
   <!ENTITY harfbuzz-size          "9.1 MB">
-  <!ENTITY harfbuzz-buildsize     "240 MB (add 6 MB for tests)">
-  <!ENTITY harfbuzz-time          "0.4 SBU (Using parallelism=4; add 0.2 SBU for tests)">
+  <!ENTITY harfbuzz-buildsize     "229 MB (add 6 MB for tests)">
+  <!ENTITY harfbuzz-time          "0.3 SBU (Using parallelism=4; add 0.2 SBU for tests)">
 ]>
 
@@ -76,4 +76,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="git"/>,
       <xref linkend="glib2"/> (required for Pango),
       <xref role="first" linkend="graphite2"/> (required for building
@@ -123,5 +124,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr -Dgraphite=enabled &amp;&amp;
+meson --prefix=/usr -Dgraphite=enabled -Dbenchmark=disabled &amp;&amp;
 ninja</userinput></screen>
 
@@ -152,4 +153,11 @@
       building <xref linkend="texlive"/> or <xref linkend="libreoffice"/>
       with system harfbuzz.
+    </para>
+
+    <para>
+      <parameter>-Dbenchmark=disabled</parameter>: This switch disables
+      downloading and building the <application>google-benchmark</application>
+      subproject, which requires <xref linkend="git"/>, and is of no
+      use for non developpers.
     </para>
 
Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ general/graphlib/opencv.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -140,6 +140,6 @@
       <ulink url="http://structure.io/openni">OpenNI</ulink>,
       <ulink url="http://plantuml.sourceforge.net/">PlanetUML</ulink>,
-      <ulink url="http://www.1stvision.com/AVT-gige-camera-software-downloads.html">PvAPI</ulink>,
-      <ulink url="https://www.threadingbuildingblocks.org/">Threading Building Blocks (TBB)</ulink>,
+      <ulink url="https://www.alliedvision.com/en/support/software-downloads.html">PvAPI</ulink>,
+      <ulink url="https://github.com/oneapi-src/oneTBB">Threading Building Blocks (TBB)</ulink>,
       <ulink url="http://unicap-imaging.org/">UniCap</ulink>,
       <ulink url="http://www.vtk.org/">VTK - The Visualization Toolkit</ulink>, and
Index: general/graphlib/qrencode.xml
===================================================================
--- general/graphlib/qrencode.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ general/graphlib/qrencode.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -13,5 +13,5 @@
 ]>
 
-<sect1 id="qrencode" xreflabel="libqrencode-&qrencode-version;">
+<sect1 id="qrencode" xreflabel="qrencode-&qrencode-version;">
   <?dbhtml filename="qrencode.html"?>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>Libqrencode-&qrencode-version;</title>
+  <title>qrencode-&qrencode-version;</title>
 
   <indexterm zone="qrencode">
@@ -28,8 +28,8 @@
 
   <sect2 role="package">
-    <title>Introduction to Libqrencode</title>
-
-    <para>
-      <application>Libqrencode</application> is a fast and compact library
+    <title>Introduction to qrencode</title>
+
+    <para>
+      <application>Qrencode</application> is a fast and compact library
       for encoding data in a QR Code symbol, a 2D symbology that can be
       scanned by handheld terminals such as a mobile phone with a CCD sensor.
@@ -72,5 +72,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Libqrencode Dependencies</bridgehead>
+    <bridgehead renderas="sect3">Qrencode Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
@@ -91,5 +91,5 @@
 
   <sect2 role="installation">
-    <title>Installation of Libqrencode</title>
+    <title>Installation of qrencode</title>
 
     <para>
Index: general/prog/python-dbusmock.xml
===================================================================
--- general/prog/python-dbusmock.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ general/prog/python-dbusmock.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -7,7 +7,7 @@
   <!ENTITY dbusmock-download-http "https://github.com/martinpitt/python-dbusmock/releases/download/&dbusmock-version;/python-dbusmock-&dbusmock-version;.tar.gz">
   <!ENTITY dbusmock-download-ftp  " ">
-  <!ENTITY dbusmock-md5sum        "136e255d2241ea40a271a60389f55fdd">
-  <!ENTITY dbusmock-size          "72 KB">
-  <!ENTITY dbusmock-buildsize     "880 KB">
+  <!ENTITY dbusmock-md5sum        "f9203f4b78ac90f7e804361fc39042f3">
+  <!ENTITY dbusmock-size          "68 KB">
+  <!ENTITY dbusmock-buildsize     "820 KB">
   <!ENTITY dbusmock-time          "less than 0.1 SBU">
 ]>
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ general/prog/ruby.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -7,8 +7,8 @@
   <!ENTITY ruby-download-http "http://cache.ruby-lang.org/pub/ruby/&ruby-minor-version;/ruby-&ruby-version;.tar.xz">
   <!ENTITY ruby-download-ftp  " ">
-  <!ENTITY ruby-md5sum        "60adb09227ff188a53fd13b6e854edd2">
-  <!ENTITY ruby-size          "11 MB">
-  <!ENTITY ruby-buildsize     "567 MB (add 230 MB for C API docs)">
-  <!ENTITY ruby-time          "1.3 SBU (using parallelism=4; add 4.4 SBU for tests; add 0.5 SBU for C API docs)">
+  <!ENTITY ruby-md5sum        "fefb57db58b5c3f11534710bab2bba47">
+  <!ENTITY ruby-size          "14 MB">
+  <!ENTITY ruby-buildsize     "629 MB (add 533 MB for C API docs)">
+  <!ENTITY ruby-time          "1.3 SBU (using parallelism=4; add 5.5 SBU for tests; add 0.8 SBU for C API docs)">
 ]>
 
@@ -111,10 +111,9 @@
 
     <para>
-      To test the results, issue: <command>make check</command>. There are over
+      To test the results, issue: <command>make check</command>. There are almost
       21,000 tests. Some tests related to ipv6 may indicate errors.  If the
       tests are run in a directory that has a world writable component (e.g.
-      /tmp) then several additional tests may fail. One test related to
-      the time function may fail due to a change in expectations as a result of
-      glibc-2.31.
+      /tmp) then several additional tests may fail. A few tests my fail due
+      to system configuration expectations.
     </para>
 
@@ -162,5 +161,16 @@
       <seglistitem>
         <seg>
-          bundle, bundler, erb, gem, irb, rake, rdoc, ri, and ruby
+          bundle, 
+          bundler, 
+          erb, 
+          gem, 
+          irb, 
+          racc, 
+          rake, 
+          rbs, 
+          rdoc, 
+          ri, 
+          ruby, and
+          typeprof
         </seg>
         <seg>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ introduction/welcome/changelog.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -43,4 +43,34 @@
     -->
     <listitem>
+      <para>January 2nd, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Fix the build of python bindings in
+          libmusicbrainz.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ruby-3.0.0. Fixes
+          <ulink url="&blfs-ticket-root;14415">#14415</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-20.3.2. Fixes
+          <ulink url="&blfs-ticket-root;14448">#14448</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to python-dbusmock-0.21.0. Fixes
+          <ulink url="&blfs-ticket-root;14452">#14452</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to wget-1.21. Fixes
+          <ulink url="&blfs-ticket-root;14449">#14449</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2253. Addreses 
+          <ulink url="&blfs-ticket-root;12241">#12241</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 1st, 2021</para>
       <itemizedlist>
Index: kde/extra-cmake-modules.xml
===================================================================
--- kde/extra-cmake-modules.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ kde/extra-cmake-modules.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -81,4 +81,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <ulink url="https://pypi.org/project/PyQt5/">PyQt</ulink> (experimental
+      support for building KDE Python bindings), and
       <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx</ulink> (for
          building documentation)
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ kde/kf5/kf5-frameworks.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -86,4 +86,5 @@
     <xref linkend="libepoxy"/>,
     <xref linkend="libgcrypt"/>,
+    <xref linkend="libical"/>,
     <xref linkend="libjpeg"/>,
     <xref linkend="libpng"/>,
@@ -115,5 +116,7 @@
   <para role="optional">
     <xref linkend="bluez"/> (needed to build Bluez-Qt),
-    <xref linkend="ModemManager"/> (needed to build ModemManager-Qt)
+    <xref linkend="ModemManager"/> (needed to build ModemManager-Qt),
+    <ulink url="http://libdmtx.sourceforge.net/">Datamatrix</ulink> (deemed
+      recommended for Prison by upstream)
   </para>
 
@@ -158,10 +161,4 @@
     <ulink url="http://hspell.ivrix.org.il/">Hspell</ulink> and
     <ulink url="http://hunspell.sourceforge.net/">Hunspell</ulink>
-  </para>
-
-  <bridgehead renderas="sect4">Recommended dependency for Prison</bridgehead>
-  <para role="optional">
-    <!-- Leaving as optional since this is external -->
-    <ulink url="http://libdmtx.sourceforge.net/">Datamatrix</ulink> and
   </para>
 
Index: multimedia/libdriv/libmusicbrainz.xml
===================================================================
--- multimedia/libdriv/libmusicbrainz.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ multimedia/libdriv/libmusicbrainz.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -150,5 +150,5 @@
     </para>
 
-<screen role="root"><userinput>(cd python &amp;&amp; python setup.py install)</userinput></screen>
+<screen role="root"><userinput>(cd python &amp;&amp; python2 setup.py install)</userinput></screen>
 
   </sect2>
Index: multimedia/libdriv/mlt.xml
===================================================================
--- multimedia/libdriv/mlt.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ multimedia/libdriv/mlt.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -90,5 +90,5 @@
       <xref linkend="sdl2"/>,
       <ulink url="http://jackaudio.org">JACK</ulink>,
-      <ulink url="http://www.ipswitchft.com/moveit/">MOVEit</ulink>,
+      <ulink url="http://www.ipswitch.com/moveit/">MOVEit</ulink>,
       <ulink url="http://sox.sourceforge.net/">SoX</ulink>, 
       <ulink url="https://github.com/mltframework/swfdec">Swfdec</ulink>, and
Index: networking/netprogs/wget.xml
===================================================================
--- networking/netprogs/wget.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ networking/netprogs/wget.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -9,8 +9,8 @@
   <!ENTITY wget-download-ftp
            "&gnu-ftp;/wget/wget-&wget-version;.tar.gz">
-  <!ENTITY wget-md5sum        "db4e6dc7977cbddcd543b240079a4899">
-  <!ENTITY wget-size          "4.2 MB">
-  <!ENTITY wget-buildsize     "60 MB (with tests)">
-  <!ENTITY wget-time          "0.4 SBU (with tests)">
+  <!ENTITY wget-md5sum        "3852118b7a771a7c9c0388883c8f5dbf">
+  <!ENTITY wget-size          "4.6 MB">
+  <!ENTITY wget-buildsize     "70 MB (with tests)">
+  <!ENTITY wget-time          "0.5 SBU (with tests)">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ packages.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -68,5 +68,5 @@
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
 <!ENTITY nano-version                 "5.4">
-<!ENTITY vim-version                  "8.2.2070">
+<!ENTITY vim-version                  "8.2.2253">
 <!ENTITY vim-majmin                   "82">
 
@@ -363,6 +363,6 @@
 <!ENTITY python3-lib-suffix           "cpython-&python3-major;&python3-minor;-&lt;arch&gt;-linux-gnu">
 
-<!ENTITY ruby-minor-version           "2.7">
-<!ENTITY ruby-patch-version           "2">
+<!ENTITY ruby-minor-version           "3.0">
+<!ENTITY ruby-patch-version           "0">
 <!ENTITY ruby-version                 "&ruby-minor-version;.&ruby-patch-version;">
 <!ENTITY rust-version                 "1.47.0">
@@ -547,5 +547,5 @@
 <!ENTITY docutils-version             "0.16">
 <!ENTITY dbus-python-version          "1.2.16">
-<!ENTITY dbusmock-version             "0.20.0">
+<!ENTITY dbusmock-version             "0.21.0">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
 <!ENTITY decorator-version            "4.4.2">
@@ -590,5 +590,5 @@
 <!ENTITY rsync-version                "3.2.3">
 <!ENTITY samba-version                "4.13.3">
-<!ENTITY wget-version                 "1.20.3">
+<!ENTITY wget-version                 "1.21">
 <!ENTITY wireless-tools-version       "29">
 <!ENTITY wpa_supplicant-version       "2.9">
@@ -693,5 +693,5 @@
 <!ENTITY xkeyboard-config-version     "2.31">
 <!ENTITY mesa-major-minor             "20.3">
-<!ENTITY mesa-version                 "&mesa-major-minor;.1">
+<!ENTITY mesa-version                 "&mesa-major-minor;.2">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ postlfs/editors/vim.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -9,7 +9,7 @@
   <!ENTITY vim-download-http "&sources-anduin-http;/vim/vim-&vim-version;.tar.gz">
   <!ENTITY vim-download-ftp  " ">
-  <!ENTITY vim-md5sum        "52ecae95a255a4e9221d81e6ad64e6a2">
+  <!ENTITY vim-md5sum        "497890e1f563a65c6f7594c0b0f5c0b9">
   <!ENTITY vim-size          "15 MB">
-  <!ENTITY vim-buildsize     "109 MB (add 71 MB for tests)">
+  <!ENTITY vim-buildsize     "110 MB (add 71 MB for tests)">
   <!ENTITY vim-time          "0.3 SBU (with parallelism=4; add 1.3 SBU for tests)">
 ]>
Index: template/template.xml
===================================================================
--- template/template.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ template/template.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -384,8 +384,10 @@
       <seglistitem>
         <seg>
-          PROGRAM1, PROGRAM2 and PROGRAM3.
+          PROGRAM1, PROGRAM2 and PROGRAM3<!-- no period here since it is not
+          a sentence -->
         </seg>
         <seg>
-          libLIBRARY1.so, libLIBRARY2.so and libLIBRARY3.so.
+          libLIBRARY1.so, libLIBRARY2.so and libLIBRARY3.so<!-- no period here
+          since it is not a sentence -->
         </seg>
         <seg>
@@ -393,5 +395,6 @@
           /usr/share/TEMPLATE-&TEMPLATE-version;,
           /usr/share/doc/TEMPLATE-&TEMPLATE-version; and
-          /var/lib/TEMPLATE.
+          /var/lib/TEMPLATE<!-- no period here
+          since it is not a sentence -->
         </seg>
       </seglistitem>
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ x/icons/breeze-icons.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -82,5 +82,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="kf5-frameworks"/>
+      <xref linkend="kf5-frameworks"/>,
+      <xref linkend="libxml2"/>, and
+      <xref linkend="lxml"/>
     </para>
 
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ x/installing/mesa.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "e9242ee9a07a1d932bcf7b28284e2dcf">
+  <!ENTITY mesa-md5sum        "b378394df26fc6b4d58888f9f1ef1bdb">
   <!ENTITY mesa-size          "14 MB">
-  <!ENTITY mesa-buildsize     "631 MB (with docs), add 317 MB for tests">
-  <!ENTITY mesa-time          "2.7 SBU (with parallelism=4 and docs). Add 0.5 SBU for tests">
+  <!ENTITY mesa-buildsize     "481 MB (with docs), add 317 MB for tests">
+  <!ENTITY mesa-time          "2.5 SBU (with parallelism=4 and docs). Add 0.5 SBU for tests">
 ]>
 
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ x/lib/gtk+3.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -76,6 +76,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="at-spi2-atk"/>,
-      <xref linkend="fribidi"/>,
+      <xref linkend="at-spi2-atk"/>, 
       <xref linkend="gdk-pixbuf"/>,
       <xref linkend="libepoxy"/>, and
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ x/lib/pango.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -146,11 +146,11 @@
 
     <para>
-      <option>-Denable-docs</option>: Use this switch if gtk-doc is 
+      <option>-Dgtk_doc</option>: Use this switch if gtk-doc is 
       installed and you wish to rebuild and install the API documentation.
     </para>
 
     <para>
-      <option>-Dgir=false</option>: Use this switch if you do not want to
-      use <xref linkend="gobject-introspection"/>.
+      <option>-Dintrospection=false</option>: Use this switch if you do not
+      want to use <xref linkend="gobject-introspection"/>.
     </para>
 
Index: xfce/apps/parole.xml
===================================================================
--- xfce/apps/parole.xml	(revision 3fa3e2463ccf75df20fceba31e7d47ebac61da21)
+++ xfce/apps/parole.xml	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -6,5 +6,5 @@
 
   <!ENTITY parole-download-http
-           "http://archive.xfce.org/src/apps/parole/1.0/parole-&parole-version;.tar.bz2">
+           "http://archive.xfce.org/src/apps/parole/4.15/parole-&parole-version;.tar.bz2">
   <!ENTITY parole-download-ftp  " ">
   <!ENTITY parole-md5sum        "baf86d34ff5f88d83343bf7118f06702">