Index: general.ent
===================================================================
--- general.ent	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general.ent	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -82,4 +82,8 @@
 <!ENTITY lfs-gdbm-version             "1.11">
 <!ENTITY lfs-m4-version               "1.4.17">
+<!-- FIXME - please check the included version of
+ List/Utils when upgrading the perl version.
+ Scalar-List-Utils is in perl-deps because List-AllUtils
+ needs a newer version at runtime than is in 5.34.0 -->
 <!ENTITY lfs-perl-version             "5.34"> <!-- used in git -->
 <!-- this was originally the perl version used by the corresponding
Index: general/prog/perl-deps/perl-alien-build.xml
===================================================================
--- general/prog/perl-deps/perl-alien-build.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-alien-build.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/P/PL/PLICEASE/Alien-Build-&Alien-Build-version;.tar.gz">
-  <!ENTITY my-md5sum "e8ab24f0d583fed320768da8b0273f5b">
+  <!ENTITY my-md5sum "fb974a4bc386e1543223e7db70821122">
 
 ]>
Index: general/prog/perl-deps/perl-business-isbn-data.xml
===================================================================
--- general/prog/perl-deps/perl-business-isbn-data.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-business-isbn-data.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/B/BD/BDFOY/Business-ISBN-Data-&Business-ISBN-Data-version;.tar.gz">
-  <!ENTITY my-md5sum "80f5aafeda883770e94e30bbb106795f">
+  <!ENTITY my-md5sum "a3c6d1ff77eb33d63a35f1a1564530b8">
 
 ]>
Index: general/prog/perl-deps/perl-config-autoconf.xml
===================================================================
--- general/prog/perl-deps/perl-config-autoconf.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-config-autoconf.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY my-download-http "&metacpan_authors;/R/RE/REHSACK/Config-AutoConf-&Config-AutoConf-version;.tar.gz">
-  <!ENTITY my-md5sum "eeeab8cc93eef7dd2e2c343ecdf247b7">
+  <!ENTITY my-download-http "&metacpan_authors;/A/AM/AMBS/Config-AutoConf-&Config-AutoConf-version;.tar.gz">
+  <!ENTITY my-md5sum "71664b2864232e265179ac29298e0916">
 
 ]>
Index: general/prog/perl-deps/perl-datetime-format-strptime.xml
===================================================================
--- general/prog/perl-deps/perl-datetime-format-strptime.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-datetime-format-strptime.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/D/DR/DROLSKY/DateTime-Format-Strptime-&DateTime-Format-Strptime-version;.tar.gz">
-  <!ENTITY my-md5sum "3e5a7377b20932d59b47c4a8b72a2325">
+  <!ENTITY my-md5sum "441cfec62b0b8a1b4c05cbe5ef73fbf4">
 
 ]>
Index: general/prog/perl-deps/perl-datetime-locale.xml
===================================================================
--- general/prog/perl-deps/perl-datetime-locale.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-datetime-locale.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/D/DR/DROLSKY/DateTime-Locale-&DateTime-Locale-version;.tar.gz">
-  <!ENTITY my-md5sum "e580c7e2bfdb1b9867de6f3a0ab1a46b">
+  <!ENTITY my-md5sum "23ba33ef2d40f349f213ed00680f86aa">
 
 ]>
Index: general/prog/perl-deps/perl-datetime-timezone.xml
===================================================================
--- general/prog/perl-deps/perl-datetime-timezone.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-datetime-timezone.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/D/DR/DROLSKY/DateTime-TimeZone-&DateTime-TimeZone-version;.tar.gz">
-  <!ENTITY my-md5sum "de1079b256b73b88121dfbc8d8d29507">
+  <!ENTITY my-md5sum "3ba0c9f5aeae945d2111f28333bd1a3d">
 
 ]>
Index: general/prog/perl-deps/perl-exception-class.xml
===================================================================
--- general/prog/perl-deps/perl-exception-class.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-exception-class.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/D/DR/DROLSKY/Exception-Class-&Exception-Class-version;.tar.gz">
-  <!ENTITY my-md5sum "6b5bb8e4ad2b1f6120fc1d33ae45e91b">
+  <!ENTITY my-md5sum "1e564d20b374a99fdf660ba3f36b0098">
 
 ]>
Index: general/prog/perl-deps/perl-ffi-checklib.xml
===================================================================
--- general/prog/perl-deps/perl-ffi-checklib.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-ffi-checklib.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/P/PL/PLICEASE/FFI-CheckLib-&FFI-CheckLib-version;.tar.gz">
-  <!ENTITY my-md5sum "b2e3fc6f762e458d348e98ace632d841">
+  <!ENTITY my-md5sum "f1098652dedd0b4616262524fa05a948">
 
 ]>
Index: general/prog/perl-deps/perl-file-sharedir.xml
===================================================================
--- general/prog/perl-deps/perl-file-sharedir.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-file-sharedir.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/R/RE/REHSACK/File-ShareDir-&File-ShareDir-version;.tar.gz">
-  <!ENTITY my-md5sum "f2a0eee9f04c93753dd56437175e5bda">
+  <!ENTITY my-md5sum "0084f730f4e3d4d89703d92b3ea82f54">
 
 ]>
Index: general/prog/perl-deps/perl-http-message.xml
===================================================================
--- general/prog/perl-deps/perl-http-message.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-http-message.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/O/OA/OALDERS/HTTP-Message-&HTTP-Message-version;.tar.gz">
-  <!ENTITY my-md5sum "4b4038aef74f63c2b6baca189c6c6602">
+  <!ENTITY my-md5sum "e291f19e9532ffb7d1c80eab786bf0f2">
 
 ]>
Index: general/prog/perl-deps/perl-libwww-perl.xml
===================================================================
--- general/prog/perl-deps/perl-libwww-perl.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-libwww-perl.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/O/OA/OALDERS/libwww-perl-&libwww-perl-version;.tar.gz">
-  <!ENTITY my-md5sum "7b5959aff7b11509bd87fa1de753f127">
+  <!ENTITY my-md5sum "4df22c50511a3f01063d2ba4d91bfbec">
 
 ]>
Index: general/prog/perl-deps/perl-net-http.xml
===================================================================
--- general/prog/perl-deps/perl-net-http.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-net-http.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/O/OA/OALDERS/Net-HTTP-&Net-HTTP-version;.tar.gz">
-  <!ENTITY my-md5sum "00f825fb848d50202aeec074c3608453">
+  <!ENTITY my-md5sum "dbe27483034a79a7d43f61cc48540641">
 
 ]>
Index: general/prog/perl-deps/perl-net-ssleay.xml
===================================================================
--- general/prog/perl-deps/perl-net-ssleay.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-net-ssleay.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/C/CH/CHRISN/Net-SSLeay-&Net-SSLeay-version;.tar.gz">
-  <!ENTITY my-md5sum "fcef4985f5f7e0381e3dddd0ee7878d1">
+  <!ENTITY my-md5sum "00f57f3feb02e4fb7d282f9d6ae2beb2">
 
 ]>
Index: general/prog/perl-deps/perl-path-tiny.xml
===================================================================
--- general/prog/perl-deps/perl-path-tiny.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-path-tiny.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/D/DA/DAGOLDEN/Path-Tiny-&Path-Tiny-version;.tar.gz">
-  <!ENTITY my-md5sum "dd6092293f8766fb87d003dceebe4263">
+  <!ENTITY my-md5sum "cb34fd356725ec12b78e88ddac37db08">
 
 ]>
Index: general/prog/perl-deps/perl-role-tiny.xml
===================================================================
--- general/prog/perl-deps/perl-role-tiny.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-role-tiny.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/H/HA/HAARG/Role-Tiny-&Role-Tiny-version;.tar.gz">
-  <!ENTITY my-md5sum "98446826608b1e943e65c1f6e35942fe">
+  <!ENTITY my-md5sum "9ee45591befa3d0b1094ac75d282b6ba">
 
 ]>
Index: general/prog/perl-deps/perl-specio.xml
===================================================================
--- general/prog/perl-deps/perl-specio.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-specio.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/D/DR/DROLSKY/Specio-&Specio-version;.tar.gz">
-  <!ENTITY my-md5sum "aca3a183b46b93a8ce02009a2ccd868b">
+  <!ENTITY my-md5sum "42a6734e5c02836f6d99646167694b96">
 
 ]>
Index: general/prog/perl-deps/perl-test-fatal.xml
===================================================================
--- general/prog/perl-deps/perl-test-fatal.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test-fatal.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/R/RJ/RJBS/Test-Fatal-&Test-Fatal-version;.tar.gz">
-  <!ENTITY my-md5sum "7954f6d2e3607be10c0fbd69063a3d1b">
+  <!ENTITY my-md5sum "da5d864c04a60e71de9ae51b318562fd">
 
 ]>
Index: general/prog/perl-deps/perl-test-file.xml
===================================================================
--- general/prog/perl-deps/perl-test-file.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test-file.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/B/BD/BDFOY/Test-File-&Test-File-version;.tar.gz">
-  <!ENTITY my-md5sum "ec8c6f6e940b454e110aaaa663fc761c">
+  <!ENTITY my-md5sum "b4701559a827f348f36b487867d2c528">
 
 ]>
Index: general/prog/perl-deps/perl-test-leaktrace.xml
===================================================================
--- general/prog/perl-deps/perl-test-leaktrace.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test-leaktrace.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/L/LE/LEEJO/Test-LeakTrace-&Test-LeakTrace-version;.tar.gz">
-  <!ENTITY my-md5sum "d58f3e0fed32df8255787a77d7d87641">
+  <!ENTITY my-md5sum "afdb2cc6be0807cb635fb601a004d522">
 
 ]>
Index: general/prog/perl-deps/perl-test-mockmodule.xml
===================================================================
--- general/prog/perl-deps/perl-test-mockmodule.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test-mockmodule.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/G/GF/GFRANKS/Test-MockModule-&Test-MockModule-version;.tar.gz">
-  <!ENTITY my-md5sum "efaa3e27d256d9811b81f5286b9ea459">
+  <!ENTITY my-md5sum "f36bd9aee0349430c434dc1d06b03589">
 
 ]>
Index: general/prog/perl-deps/perl-test-needs.xml
===================================================================
--- general/prog/perl-deps/perl-test-needs.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test-needs.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/H/HA/HAARG/Test-Needs-&Test-Needs-version;.tar.gz">
-  <!ENTITY my-md5sum "d5c96d51d8d5510f7c0b7f354c49af1c">
+  <!ENTITY my-md5sum "5643cd323afb77d20363acbaf9b12bcc">
 
 ]>
Index: general/prog/perl-deps/perl-test-warnings.xml
===================================================================
--- general/prog/perl-deps/perl-test-warnings.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test-warnings.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/E/ET/ETHER/Test-Warnings-&Test-Warnings-version;.tar.gz">
-  <!ENTITY my-md5sum "d30550a4898499daf351f9cf31602121">
+  <!ENTITY my-md5sum "f608f7011b0bb8f27d3a27e646a52f60">
 
 ]>
Index: general/prog/perl-deps/perl-test2-suite.xml
===================================================================
--- general/prog/perl-deps/perl-test2-suite.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-test2-suite.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/E/EX/EXODIST/Test2-Suite-&Test2-Suite-version;.tar.gz">
-  <!ENTITY my-md5sum "37d02b6ab79abbfe5a4821c56a755255">
+  <!ENTITY my-md5sum "2ccca23d640361f9c6f4912d676f15c8">
 
 ]>
Index: general/prog/perl-deps/perl-text-csv_xs.xml
===================================================================
--- general/prog/perl-deps/perl-text-csv_xs.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-text-csv_xs.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -7,5 +7,5 @@
  <!-- .tgz -->
   <!ENTITY my-download-http "&metacpan_authors;/H/HM/HMBRAND/Text-CSV_XS-&Text-CSV_XS-version;.tgz">
-  <!ENTITY my-md5sum "7ed1bfe174b8867bb0987625e9ed57bc">
+  <!ENTITY my-md5sum "147eb4e11237c848d31fdf36dc1fc364">
 
 ]>
Index: general/prog/perl-deps/perl-xml-libxml.xml
===================================================================
--- general/prog/perl-deps/perl-xml-libxml.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ general/prog/perl-deps/perl-xml-libxml.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/S/SH/SHLOMIF/XML-LibXML-&XML-LibXML-version;.tar.gz">
-  <!ENTITY my-md5sum "ae78cb614192c42fb8c4cdf5d735d181">
+  <!ENTITY my-md5sum "d943c3ff20e19c376f08adcbc4158019">
 
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ introduction/welcome/changelog.xml	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -46,4 +46,17 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Update Perl Module Dependencies -
+          Alien-Build-2.41, Business-ISBN-Data-20210112.006,
+          Config-AutoConf-0.320, DateTime-Format-Strptime-1.79,
+          DateTime-Locale-1.32, DateTime-TimeZone-2.47, Exception-Class-1.45,
+          FFI-CheckLib-0.28, File-ShareDir-1.118, HTTP-Message-6.33,
+          libwww-perl-6.55, Net-HTTP-6.21, Net-SSLeay-1.90, Path-Tiny-0.118,
+          Role-Tiny-2.002004, Specio-0.47, Test-Fatal-0.016, Test-File-1.448,
+          Test-LeakTrace-0.17, Test-MockModule-v0.176.0, Test-Needs-0.002009,
+          Test-Warnings-0.031, Test2-Suite-0.000140, Text-CSV_XS-1.46,
+          XML-LibXML-2.0207. Addresses
+          <ulink url="&blfs-ticket-root;13850">#13850</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Update to node.js-v14.17.4 (security fix). Fixes
           <ulink url="&blfs-ticket-root;15330">#15330</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision d63fed6200877253f8ae60d56a71b4b91b5f4ca0)
+++ packages.ent	(revision 46dfbe3461f3b2c1847a6a70025317b4b79404bf)
@@ -452,9 +452,9 @@
     get automatically checked for newer versions -->
 <!ENTITY Algorithm-Diff-version       "1.201">
-<!ENTITY Alien-Build-version          "2.37">
+<!ENTITY Alien-Build-version          "2.41">
 <!ENTITY Alien-Libxml2-version        "0.17">
 <!ENTITY B-COW-version                "0.004">
 <!ENTITY B-Hooks-EndOfScope-version   "0.24">
-<!ENTITY Business-ISBN-Data-version   "20210112.001">
+<!ENTITY Business-ISBN-Data-version   "20210112.006">
 <!ENTITY Capture-Tiny-version         "0.48">
 <!ENTITY Class-Data-Inheritable-version "0.08">
@@ -463,33 +463,33 @@
 <!ENTITY Class-Tiny-version           "1.008">
 <!ENTITY Clone-version                "0.45">
-<!ENTITY Config-AutoConf-version      "0.319">
+<!ENTITY Config-AutoConf-version      "0.320">
 <!ENTITY CPAN-Meta-Check-version      "0.014">
 <!ENTITY DateTime-version             "1.54">
-<!ENTITY DateTime-Format-Strptime-version "1.78">
-<!ENTITY DateTime-Locale-version      "1.31">
-<!ENTITY DateTime-TimeZone-version    "2.46">
+<!ENTITY DateTime-Format-Strptime-version "1.79">
+<!ENTITY DateTime-Locale-version      "1.32">
+<!ENTITY DateTime-TimeZone-version    "2.47">
 <!ENTITY Devel-StackTrace-version     "2.04">
 <!ENTITY Dist-CheckConflicts-version  "0.11">
 <!ENTITY Encode-Locale-version        "1.05">
 <!ENTITY Eval-Closure-version         "0.14">
-<!ENTITY Exception-Class-version      "1.44">
+<!ENTITY Exception-Class-version      "1.45">
 <!ENTITY Exporter-Tiny-version        "1.002002">
 <!ENTITY ExtUtils-LibBuilder-version  "0.08">
-<!ENTITY FFI-CheckLib-version         "0.27">
+<!ENTITY FFI-CheckLib-version         "0.28">
 <!ENTITY File-chdir-version           "0.1010">
 <!ENTITY File-Copy-Recursive-version  "0.45">
 <!ENTITY File-Find-Rule-version       "0.34">
 <!ENTITY File-Listing-version         "6.14">
-<!ENTITY File-ShareDir-version        "1.116">
+<!ENTITY File-ShareDir-version        "1.118">
 <!ENTITY File-ShareDir-Install-version "0.13">
 <!ENTITY HTML-Tagset-version          "3.20">
 <!ENTITY HTTP-Cookies-version         "6.10">
 <!ENTITY HTTP-Date-version            "6.05">
-<!ENTITY HTTP-Message-version         "6.27">
+<!ENTITY HTTP-Message-version         "6.33">
 <!ENTITY HTTP-Negotiate-version       "6.01">
 <!ENTITY Importer-version             "0.026">
 <!ENTITY IO-HTML-version              "1.004">
 <!ENTITY IPC-System-Simple-version    "1.30">
-<!ENTITY libwww-perl-version          "6.52">
+<!ENTITY libwww-perl-version          "6.55">
 <!ENTITY List-MoreUtils-XS-version    "0.430">
 <!ENTITY List-SomeUtils-version       "0.58">
@@ -504,12 +504,12 @@
 <!ENTITY namespace-autoclean-version  "0.29">
 <!ENTITY namespace-clean-version      "0.27">
-<!ENTITY Net-HTTP-version             "6.20">
-<!ENTITY Net-SSLeay-version           "1.88">
+<!ENTITY Net-HTTP-version             "6.21">
+<!ENTITY Net-SSLeay-version           "1.90">
 <!ENTITY Number-Compare-version       "0.03">
 <!ENTITY Package-Stash-version        "0.39">
 <!ENTITY Params-Validate-version      "1.30">
 <!ENTITY Params-ValidationCompiler-version "0.30">
-<!ENTITY Path-Tiny-version            "0.114">
-<!ENTITY Role-Tiny-version            "2.001004">
+<!ENTITY Path-Tiny-version            "0.118">
+<!ENTITY Role-Tiny-version            "2.002004">
 <!-- FIXME - please check the included version of
  List/Utils when upgrading the perl version,
@@ -518,5 +518,5 @@
 <!ENTITY Scalar-List-Utils-version    "1.56">
 <!ENTITY Scope-Guard-version          "0.21">
-<!ENTITY Specio-version               "0.46">
+<!ENTITY Specio-version               "0.47">
 <!ENTITY Sub-Exporter-Progressive-version "0.001013">
 <!ENTITY Sub-Identify-version         "0.14">
@@ -528,18 +528,18 @@
 <!ENTITY Test-Deep-version            "1.130">
 <!ENTITY Test-Exception-version       "0.43">
-<!ENTITY Test-Fatal-version           "0.014">
-<!ENTITY Test-File-version            "1.443">
+<!ENTITY Test-Fatal-version           "0.016">
+<!ENTITY Test-File-version            "1.448">
 <!ENTITY Test-File-ShareDir-version   "1.001002">
-<!ENTITY Test-LeakTrace-version       "0.16">
-<!ENTITY Test-MockModule-version      "v0.173.0">
-<!ENTITY Test-Needs-version           "0.002006">
+<!ENTITY Test-LeakTrace-version       "0.17">
+<!ENTITY Test-MockModule-version      "v0.176.0">
+<!ENTITY Test-Needs-version           "0.002009">
 <!ENTITY Test-Requires-version        "0.11">
 <!ENTITY Test-RequiresInternet-version "0.05">
 <!ENTITY Test-utf8-version            "1.02">
-<!ENTITY Test-Warnings-version        "0.030">
+<!ENTITY Test-Warnings-version        "0.031">
 <!ENTITY Test-Without-Module-version  "0.20">
 <!ENTITY Test2-Plugin-NoWarnings-version "0.09">
-<!ENTITY Test2-Suite-version          "0.000130">
-<!ENTITY Text-CSV_XS-version          "1.44">
+<!ENTITY Test2-Suite-version          "0.000140">
+<!ENTITY Text-CSV_XS-version          "1.46">
 <!ENTITY Text-Diff-version            "1.45">
 <!ENTITY Text-Glob-version            "0.11">
@@ -549,5 +549,5 @@
 <!ENTITY Variable-Magic-version       "0.62">
 <!ENTITY WWW-RobotRules-version       "6.02">
-<!ENTITY XML-LibXML-version           "2.0205">
+<!ENTITY XML-LibXML-version           "2.0207">
 <!ENTITY XML-NamespaceSupport-version "1.12">
 <!ENTITY XML-SAX-version              "1.02">